Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for IMS API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.eways.ims
Class IMSClient

    java.lang.Object
      com.stc.eways.ims.IMSClient

    public class IMSClient

extends java.lang.Object

Field Summary
`protected java.util.Vector` | `byteVector`
`protected java.lang.String` | `datastoreID`
`protected java.lang.String` | `LtermName`
`protected java.lang.String` | `Password`
`protected java.lang.String` | `RacfGroupName`
`protected java.lang.String` | `RacfUserID`
`protected java.lang.String` | `reasonTxt`
`protected java.lang.String` | `returnCodeTxt`

Constructor Summary
`IMSClient(java.lang.String datastoreID, java.lang.String LtermName, java.lang.String exitID, java.lang.String clientID, java.lang.String RacfUserID, java.lang.String RacfGroupName, java.lang.String Password, byte syncLevel, byte commitMode, int prefixLength, byte flowCtl, byte rcvDelay, byte sockType, byte mfsMod, java.lang.String irmHeaderEncoding, java.lang.String sendDataEncoding, java.lang.String replyDataEncoding)`

Method Summary
`void` | `close()` Disconnects from the host.
`boolean` | `isOpen()` Need to figure out what to do here
`static void` | `main(java.lang.String[] args)`
`void` | `open(java.lang.String server, int serverPort)` Connects to the host.
`java.util.Vector` | `receive(boolean isAck)` Receives output segments.
`java.util.Vector` | `send(java.lang.String trancode, java.lang.String segment, char bandrs, boolean isAck)` Sends prefix and segment data.
`java.util.Vector` | `sendMultipleSegs(java.lang.String trancode, java.lang.String[] segments, char bandrs, boolean isAck)`
`void` | `setClientID(java.lang.String clientID)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### datastoreID

    protected java.lang.String datastoreID

### LtermName

    protected java.lang.String LtermName

### RacfUserID

    protected java.lang.String RacfUserID

### RacfGroupName

    protected java.lang.String RacfGroupName

### Password

    protected java.lang.String Password

### byteVector

    protected java.util.Vector byteVector

### returnCodeTxt

    protected java.lang.String returnCodeTxt

### reasonTxt

    protected java.lang.String reasonTxt

Constructor Detail

### IMSClient

    public IMSClient(java.lang.String datastoreID,
                     java.lang.String LtermName,
                     java.lang.String exitID,
                     java.lang.String clientID,
                     java.lang.String RacfUserID,
                     java.lang.String RacfGroupName,
                     java.lang.String Password,
                     byte syncLevel,
                     byte commitMode,
                     int prefixLength,
                     byte flowCtl,
                     byte rcvDelay,
                     byte sockType,
                     byte mfsMod,
                     java.lang.String irmHeaderEncoding,
                     java.lang.String sendDataEncoding,
                     java.lang.String replyDataEncoding)

Method Detail

### open

    public void open(java.lang.String server,
                     int serverPort)

  Connects to the host.

### close

    public void close()

  Disconnects from the host.

### isOpen

    public boolean isOpen()

  Need to figure out what to do here

### setClientID

    public void setClientID(java.lang.String clientID)

### send

    public java.util.Vector send(java.lang.String trancode,
                                 java.lang.String segment,
                                 char bandrs,
                                 boolean isAck)
                          throws IMSClientException

  Sends prefix and segment data.

  Throws:
    `IMSClientException`

### sendMultipleSegs

    public java.util.Vector sendMultipleSegs(java.lang.String trancode,
                                             java.lang.String[] segments,
                                             char bandrs,
                                             boolean isAck)
                                      throws IMSClientException

  Throws:
    `IMSClientException`

### receive

    public java.util.Vector receive(boolean isAck)
                             throws IMSClientException

  Receives output segments.

  Throws:
    `IMSClientException`

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for IMS API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD